package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Description:保理项目实体
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年7月30日 下午7:41:28
 */
public class Project extends BaseEntity {

    /**
     * 业务编号
     */
    @TableField("business_number")
    private String businessNumber;

    /**
     * 对应不同模块的编号（包括采购合同编号、验收单号、结算单号、底层编号、）
     */
    @TableField(exist = false)
    private String moduleNumber;

    /**
     * 业务名称
     */
    @TableField(exist = false)
    private String businessName;

    /**
     * 项目名称
     */
    @TableField(exist = false)
    private String projectName;

    /**
     * 主企业名称
     **/
    @TableField(exist = false)
    private String ownerName;

    /**
     * 核心企业名称
     **/
    @TableField(exist = false)
    private String customerName;

    /**
     * 供应商名称
     **/
    @TableField(exist = false)
    private String supplierName;


    /**
     * 贸易平台名称
     **/
    @TableField(exist = false)
    private String tradingPlatformName;

    /**
     * 状态
     */
    @TableField(exist = false)
    private Dictionary statusDictionary;

    @TableField(exist = false)
    private String assigner;

    @TableField(exist = false)
    private String contractNumber;

    @TableField(exist = false)
    private String contractName;

    /**
     * 合同编号
     */
    @TableField(exist = false)
    private String contractNo;

    /**
     * 支用批次
     */
    @TableField(exist = false)
    private Integer quotaDisburseBatch;

    /**
     * 付款编号
     */
    @TableField(exist = false)
    private String paymentNo;

    /**
     * 融资金额
     */
    @TableField(exist = false)
    private BigDecimal financingAmount;

    public String getAssigner() {
        return assigner;
    }

    public void setAssigner(String assigner) {
        this.assigner = assigner;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public Dictionary getStatusDictionary() {
        return statusDictionary;
    }

    public void setStatusDictionary(Dictionary statusDictionary) {
        this.statusDictionary = statusDictionary;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getModuleNumber() {
        return moduleNumber;
    }

    public void setModuleNumber(String moduleNumber) {
        this.moduleNumber = moduleNumber;
    }

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getTradingPlatformName() {
        return tradingPlatformName;
    }

    public void setTradingPlatformName(String tradingPlatformName) {
        this.tradingPlatformName = tradingPlatformName;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }

    public BigDecimal getFinancingAmount() {
        return financingAmount;
    }

    public void setFinancingAmount(BigDecimal financingAmount) {
        this.financingAmount = financingAmount;
    }
}
